=== modified file 'account_corrections/__openerp__.py'
--- account_corrections/__openerp__.py	2011-09-20 15:29:33 +0000
+++ account_corrections/__openerp__.py	2011-10-19 13:19:57 +0000
@@ -30,7 +30,7 @@
     "author" : "TeMPO Consulting",
     'website': 'http://tempo-consulting.fr',
     "category" : "Tools",
-    "depends" : ["base", "account", 'res_currency_functional', 'funding_pool', 'account_override'],
+    "depends" : ["base", "account", 'res_currency_functional', 'analytic_distribution', 'account_override'],
     "init_xml" : [],
     "update_xml" : [
         'account_view.xml',

=== modified file 'account_corrections/account_wizard_view.xml'
--- account_corrections/account_wizard_view.xml	2011-09-23 15:33:34 +0000
+++ account_corrections/account_wizard_view.xml	2011-10-19 13:19:57 +0000
@@ -44,7 +44,7 @@
             <field name="name">inherit.wizard.costcenter.distribution.form1</field>
             <field name="model">wizard.costcenter.distribution</field>
             <field name="type">form</field>
-            <field name='inherit_id' ref='funding_pool.wizard_costcenter_distribution_form1'/>
+            <field name='inherit_id' ref='analytic_distribution.wizard_costcenter_distribution_form1'/>
             <field name="arch" type="xml">
                 <data>
                     <xpath expr="/form/field[@name='total_amount']" position="before">
@@ -61,7 +61,7 @@
             <field name="name">inherit.wizard.fundingpool.distribution.form1</field>
             <field name="model">wizard.fundingpool.distribution</field>
             <field name="type">form</field>
-            <field name='inherit_id' ref='funding_pool.wizard_fundingpool_distribution_form1'/>
+            <field name='inherit_id' ref='analytic_distribution.wizard_fundingpool_distribution_form1'/>
             <field name="arch" type="xml">
                 <data>
                     <xpath expr="/form/field[@name='total_amount']" position="before">
@@ -82,7 +82,7 @@
             <field name="name">inherit.wizard.free1.distribution.form1</field>
             <field name="model">wizard.free1.distribution</field>
             <field name="type">form</field>
-            <field name='inherit_id' ref='funding_pool.wizard_free1_distribution_form1'/>
+            <field name='inherit_id' ref='analytic_distribution.wizard_free1_distribution_form1'/>
             <field name="arch" type="xml">
                 <data>
                     <xpath expr="/form/field[@name='total_amount']" position="before">
@@ -103,7 +103,7 @@
             <field name="name">inherit.wizard.free2.distribution.form1</field>
             <field name="model">wizard.free2.distribution</field>
             <field name="type">form</field>
-            <field name='inherit_id' ref='funding_pool.wizard_free2_distribution_form1'/>
+            <field name='inherit_id' ref='analytic_distribution.wizard_free2_distribution_form1'/>
             <field name="arch" type="xml">
                 <data>
                     <xpath expr="/form/field[@name='total_amount']" position="before">

=== modified file 'account_journal/__openerp__.py'
--- account_journal/__openerp__.py	2011-09-21 15:25:13 +0000
+++ account_journal/__openerp__.py	2011-10-19 13:19:57 +0000
@@ -27,7 +27,7 @@
         Journals view and datas
     ''',
     'init_xml': [],
-    "depends" : ["account", "analytic", "account_override", "funding_pool"],
+    "depends" : ["account", "analytic", "account_override", "analytic_distribution"],
     'update_xml': [
         'account_journal_view.xml',
         'project/project_view.xml',

=== renamed directory 'funding_pool' => 'analytic_distribution'
=== modified file 'analytic_distribution/__init__.py'
--- funding_pool/__init__.py	2011-08-26 14:12:28 +0000
+++ analytic_distribution/__init__.py	2011-10-19 13:19:57 +0000
@@ -19,7 +19,7 @@
 #
 ##############################################################################
 
-import funding_pool
+import analytic_distribution
 import account
 import account_bank_statement
 import account_move_line

=== added file 'analytic_distribution/analytic_distribution.py'
--- analytic_distribution/analytic_distribution.py	1970-01-01 00:00:00 +0000
+++ analytic_distribution/analytic_distribution.py	2011-10-19 13:19:57 +0000
@@ -0,0 +1,216 @@
+# -*- coding: utf-8 -*-
+##############################################################################
+#
+#    OpenERP, Open Source Management Solution
+#    Copyright (C) MSF, TeMPO Consulting.
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+
+from osv import fields, osv
+import decimal_precision as dp
+from tools.misc import flatten
+from time import strftime
+
+class analytic_distribution(osv.osv):
+    _name = "analytic.distribution"
+
+    _columns = {
+        'name': fields.char('Name', size=12),
+        'global_distribution': fields.boolean('Is this distribution copied from the global distribution'),
+        'analytic_lines': fields.one2many('account.analytic.line', 'distribution_id', 'Analytic Lines'),
+        'invoice_ids': fields.one2many('account.invoice', 'analytic_distribution_id', string="Invoices"),
+        'invoice_line_ids': fields.one2many('account.invoice.line', 'analytic_distribution_id', string="Invoice Lines"),
+        'register_line_ids': fields.one2many('account.bank.statement.line', 'analytic_distribution_id', string="Register Lines"),
+        'move_line_ids': fields.one2many('account.move.line', 'analytic_distribution_id', string="Move Lines"),
+    }
+
+    _defaults ={
+        'name': lambda *a: 'Distribution',
+        'global_distribution': lambda *a: False,
+    }
+
+    def copy(self, cr, uid, id, defaults={}, context={}):
+        """
+        Copy an analytic distribution without the one2many links
+        """
+        defaults.update({
+            'analytic_lines': False,
+            'invoice_ids': False,
+            'invoice_line_ids': False,
+            'register_line_ids': False,
+            'move_line_ids': False,
+        })
+        return super(osv.osv, self).copy(cr, uid, id, defaults, context=context)
+
+analytic_distribution()
+
+class distribution_line(osv.osv):
+    _name = "distribution.line"
+
+    _columns = {
+        'name': fields.char('Name', size=64),
+        "distribution_id": fields.many2one('analytic.distribution', 'Associated Analytic Distribution', ondelete='cascade'),
+        "analytic_id": fields.many2one('account.analytic.account', 'Analytical Account'),
+        "amount": fields.float('Amount'),
+        "percentage": fields.float('Percentage'),
+        "currency_id": fields.many2one('res.currency', 'Currency', required=True),
+        "date": fields.date(string="Date"),
+        "source_date": fields.date(string="Source Date", help="This date is for source_date for analytic lines"),
+    }
+
+    _defaults ={
+        'name': 'Distribution Line',
+        'date': lambda *a: strftime('%Y-%m-%d'),
+        'source_date': lambda *a: strftime('%Y-%m-%d'),
+    }
+
+distribution_line()
+
+class cost_center_distribution_line(osv.osv):
+    _name = "cost.center.distribution.line"
+    _inherit = "distribution.line"
+    
+cost_center_distribution_line()
+
+class funding_pool_distribution_line(osv.osv):
+    _name = "funding.pool.distribution.line"
+    _inherit = "distribution.line"
+    _columns = {
+        "cost_center_id": fields.many2one('account.analytic.account', 'Cost Center Account'),
+    }
+    
+funding_pool_distribution_line()
+
+class free_1_distribution_line(osv.osv):
+    _name = "free.1.distribution.line"
+    _inherit = "distribution.line"
+
+free_1_distribution_line()
+
+class free_2_distribution_line(osv.osv):
+    _name = "free.2.distribution.line"
+    _inherit = "distribution.line"
+
+free_2_distribution_line()
+
+class analytic_distribution(osv.osv):
+    _inherit = "analytic.distribution"
+
+    _columns = {
+        'cost_center_lines': fields.one2many('cost.center.distribution.line', 'distribution_id', 'Cost Center Distribution'),
+        'funding_pool_lines': fields.one2many('funding.pool.distribution.line', 'distribution_id', 'Funding Pool Distribution'),
+        'free_1_lines': fields.one2many('free.1.distribution.line', 'distribution_id', 'Free 1 Distribution'),
+        'free_2_lines': fields.one2many('free.2.distribution.line', 'distribution_id', 'Free 2 Distribution'),
+    }
+    
+    def copy_from_global_distribution(self, cr, uid, source_id, destination_id, destination_amount, destination_currency, context={}):
+        cc_distrib_line_obj = self.pool.get('cost.center.distribution.line')
+        fp_distrib_line_obj = self.pool.get('funding.pool.distribution.line')
+        f1_distrib_line_obj = self.pool.get('free.1.distribution.line')
+        f2_distrib_line_obj = self.pool.get('free.2.distribution.line')
+        source_obj = self.browse(cr, uid, source_id, context=context)
+        destination_obj = self.browse(cr, uid, destination_id, context=context)
+        # clean up
+        for cost_center_line in destination_obj.cost_center_lines:
+            cc_distrib_line_obj.unlink(cr, uid, cost_center_line.id)
+        for funding_pool_line in destination_obj.funding_pool_lines:
+            fp_distrib_line_obj.unlink(cr, uid, funding_pool_line.id)
+        for free_1_line in destination_obj.free_1_lines:
+            f1_distrib_line_obj.unlink(cr, uid, free_1_line.id)
+        for free_2_line in destination_obj.free_2_lines:
+            f2_distrib_line_obj.unlink(cr, uid, free_2_line.id)
+        # add values
+        vals = {}
+        vals['name'] = source_obj.name
+        vals['global_distribution'] = True
+        for source_cost_center_line in source_obj.cost_center_lines:
+            distrib_line_vals = {
+                'name': source_cost_center_line.name,
+                'analytic_id': source_cost_center_line.analytic_id.id,
+                'percentage': source_cost_center_line.percentage,
+                'amount': round(source_cost_center_line.percentage * destination_amount) / 100.0,
+                'distribution_id': destination_id,
+                'currency_id': destination_currency,
+                'date': source_cost_center_line.date or False,
+                'source_date': source_cost_center_line.source_date or False,
+            }
+            cc_distrib_line_obj.create(cr, uid, distrib_line_vals, context=context)
+        for source_funding_pool_line in source_obj.funding_pool_lines:
+            distrib_line_vals = {
+                'name': source_funding_pool_line.name,
+                'analytic_id': source_funding_pool_line.analytic_id.id,
+                'cost_center_id': source_funding_pool_line.cost_center_id.id,
+                'percentage': source_funding_pool_line.percentage,
+                'amount': round(source_funding_pool_line.percentage * destination_amount) / 100.0,
+                'distribution_id': destination_id,
+                'currency_id': destination_currency,
+                'date': source_funding_pool_line.date or False,
+                'source_date': source_funding_pool_line.source_date or False,
+            }
+            fp_distrib_line_obj.create(cr, uid, distrib_line_vals, context=context)
+        for source_free_1_line in source_obj.free_1_lines:
+            distrib_line_vals = {
+                'name': source_free_1_line.name,
+                'analytic_id': source_free_1_line.analytic_id.id,
+                'percentage': source_free_1_line.percentage,
+                'amount': round(source_free_1_line.percentage * destination_amount) / 100.0,
+                'distribution_id': destination_id,
+                'currency_id': destination_currency,
+                'date': source_free_1_line.date or False,
+                'source_date': source_free_1_line.source_date or False,
+            }
+            f1_distrib_line_obj.create(cr, uid, distrib_line_vals, context=context)
+        for source_free_2_line in source_obj.free_2_lines:
+            distrib_line_vals = {
+                'name': source_free_2_line.name,
+                'analytic_id': source_free_2_line.analytic_id.id,
+                'percentage': source_free_2_line.percentage,
+                'amount': round(source_free_2_line.percentage * destination_amount) / 100.0,
+                'distribution_id': destination_id,
+                'currency_id': destination_currency,
+                'date': source_free_2_line.date or False,
+                'source_date': source_free_2_line.source_date or False,
+            }
+            f2_distrib_line_obj.create(cr, uid, distrib_line_vals, context=context)
+        if destination_obj.invoice_line_ids:
+            self.pool.get('account.invoice.line').create_engagement_lines(cr, uid, [x.id for x in destination_obj.invoice_line_ids])
+        return super(analytic_distribution, self).write(cr, uid, [destination_id], vals, context=context)
+
+    def update_distribution_line_amount(self, cr, uid, ids, amount=False, context={}):
+        """
+        Update amount on distribution lines for given distribution (ids)
+        """
+        # Some verifications
+        if not context:
+            context = {}
+        if isinstance(ids, (int, long)):
+            ids = [ids]
+        if not amount:
+            return False
+        # Process distributions
+        for distrib_id in ids:
+            for dl_name in ['cost.center.distribution.line', 'funding.pool.distribution.line', 'free.1.distribution.line', 'free.2.distribution.line']:
+                dl_obj = self.pool.get(dl_name)
+                dl_ids = dl_obj.search(cr, uid, [('distribution_id', '=', distrib_id)], context=context)
+                for dl in dl_obj.browse(cr, uid, dl_ids, context=context):
+                    dl_vals = {
+                        'amount': round(dl.percentage * amount) / 100.0,
+                    }
+                    dl_obj.write(cr, uid, [dl.id], dl_vals, context=context)
+        return True
+
+analytic_distribution()
+# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

=== modified file 'analytic_distribution/data/analytic_account_data.xml'
--- funding_pool/data/analytic_account_data.xml	2011-08-26 14:12:28 +0000
+++ analytic_distribution/data/analytic_account_data.xml	2011-10-19 13:19:57 +0000
@@ -44,7 +44,7 @@
             <field name="type">normal</field>
             <field name="active">True</field>
             <field name="category">FUNDING</field>
-            <field name="parent_id" ref="funding_pool.analytic_account_funding_pool"/>
+            <field name="parent_id" ref="analytic_distribution.analytic_account_funding_pool"/>
             <field name="date_start" eval="time.strftime('%Y-%m-%d')"/>
         </record>
         

=== modified file 'analytic_distribution/wizard/analytic_distribution_wizard.py'
--- funding_pool/wizard/analytic_distribution_wizard.py	2011-10-19 12:39:16 +0000
+++ analytic_distribution/wizard/analytic_distribution_wizard.py	2011-10-19 13:19:57 +0000
@@ -73,7 +73,7 @@
         if not context:
             context = {}
         view = super(analytic_distribution_wizard_lines, self).fields_view_get(cr, uid, view_id, view_type, context, toolbar, submenu)
-        oc_id = self.pool.get('ir.model.data').get_object_reference(cr, uid, 'funding_pool', 'analytic_account_project')[1]
+        oc_id = self.pool.get('ir.model.data').get_object_reference(cr, uid, 'analytic_distribution', 'analytic_account_project')[1]
         if view_type=='tree':
             tree = etree.fromstring(view['arch'])
             # Change OC field

=== modified file 'analytic_distribution/wizard/analytic_distribution_wizard_view.xml'
--- funding_pool/wizard/analytic_distribution_wizard_view.xml	2011-10-18 15:54:14 +0000
+++ analytic_distribution/wizard/analytic_distribution_wizard_view.xml	2011-10-19 13:19:57 +0000
@@ -32,7 +32,6 @@
                         <button special='cancel' string='Cancel' icon='gtk-cancel' colspan="2"/>
                         <button name="button_confirm" string="Ok" type="object" icon="gtk-ok" colspan="2" />
                     </group>
-                    <field name="state" invisible="1"/>
                 </form>
             </field>
         </record>

=== modified file 'analytic_distribution_invoice/__openerp__.py'
--- analytic_distribution_invoice/__openerp__.py	2011-09-23 14:03:32 +0000
+++ analytic_distribution_invoice/__openerp__.py	2011-10-19 13:19:57 +0000
@@ -27,7 +27,7 @@
     "description" : "This permits to have analytic distribution wizard on Invoices",
     "author" : "TeMPO Consulting, MSF",
     "category" : "Tools",
-    "depends" : ["base", "funding_pool"],
+    "depends" : ["base", "analytic_distribution"],
     "init_xml" : [],
     "update_xml" : [
             "account_invoice_view.xml",

=== modified file 'analytic_distribution_purchase/__openerp__.py'
--- analytic_distribution_purchase/__openerp__.py	2011-09-19 13:57:10 +0000
+++ analytic_distribution_purchase/__openerp__.py	2011-10-19 13:19:57 +0000
@@ -27,7 +27,7 @@
     "description" : "This permits to have analytic distribution wizard on a Purchase Order",
     "author" : "TeMPO Consulting, MSF",
     "category" : "Tools",
-    "depends" : ["base", "funding_pool", "purchase"],
+    "depends" : ["base", "analytic_distribution", "purchase"],
     "init_xml" : [],
     "update_xml" : [
             "purchase_view.xml",

=== modified file 'financing_contract/__openerp__.py'
--- financing_contract/__openerp__.py	2011-09-21 14:50:23 +0000
+++ financing_contract/__openerp__.py	2011-10-19 13:19:57 +0000
@@ -23,7 +23,7 @@
     "version": "1.1",
     "author" : "MSF: Matthieu Dietrich",
     "category" : "Generic Modules/Projects & Services",
-    "depends" : ["funding_pool"],
+    "depends" : ["analytic_distribution"],
     "description": """Module for defining financing contract and donor objects.
     """,
     "init_xml" : [],

=== removed file 'funding_pool/funding_pool.py'
--- funding_pool/funding_pool.py	2011-10-18 15:54:14 +0000
+++ funding_pool/funding_pool.py	1970-01-01 00:00:00 +0000
@@ -1,216 +0,0 @@
-# -*- coding: utf-8 -*-
-##############################################################################
-#
-#    OpenERP, Open Source Management Solution
-#    Copyright (C) MSF, TeMPO Consulting.
-#
-#    This program is free software: you can redistribute it and/or modify
-#    it under the terms of the GNU Affero General Public License as
-#    published by the Free Software Foundation, either version 3 of the
-#    License, or (at your option) any later version.
-#
-#    This program is distributed in the hope that it will be useful,
-#    but WITHOUT ANY WARRANTY; without even the implied warranty of
-#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#    GNU Affero General Public License for more details.
-#
-#    You should have received a copy of the GNU Affero General Public License
-#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
-#
-##############################################################################
-
-from osv import fields, osv
-import decimal_precision as dp
-from tools.misc import flatten
-from time import strftime
-
-class analytic_distribution(osv.osv):
-    _name = "analytic.distribution"
-
-    _columns = {
-        'name': fields.char('Name', size=12),
-        'global_distribution': fields.boolean('Is this distribution copied from the global distribution'),
-        'analytic_lines': fields.one2many('account.analytic.line', 'distribution_id', 'Analytic Lines'),
-        'invoice_ids': fields.one2many('account.invoice', 'analytic_distribution_id', string="Invoices"),
-        'invoice_line_ids': fields.one2many('account.invoice.line', 'analytic_distribution_id', string="Invoice Lines"),
-        'register_line_ids': fields.one2many('account.bank.statement.line', 'analytic_distribution_id', string="Register Lines"),
-        'move_line_ids': fields.one2many('account.move.line', 'analytic_distribution_id', string="Move Lines"),
-    }
-
-    _defaults ={
-        'name': lambda *a: 'Distribution',
-        'global_distribution': lambda *a: False,
-    }
-
-    def copy(self, cr, uid, id, defaults={}, context={}):
-        """
-        Copy an analytic distribution without the one2many links
-        """
-        defaults.update({
-            'analytic_lines': False,
-            'invoice_ids': False,
-            'invoice_line_ids': False,
-            'register_line_ids': False,
-            'move_line_ids': False,
-        })
-        return super(osv.osv, self).copy(cr, uid, id, defaults, context=context)
-
-analytic_distribution()
-
-class distribution_line(osv.osv):
-    _name = "distribution.line"
-
-    _columns = {
-        'name': fields.char('Name', size=64),
-        "distribution_id": fields.many2one('analytic.distribution', 'Associated Analytic Distribution', ondelete='cascade'),
-        "analytic_id": fields.many2one('account.analytic.account', 'Analytical Account'),
-        "amount": fields.float('Amount'),
-        "percentage": fields.float('Percentage'),
-        "currency_id": fields.many2one('res.currency', 'Currency', required=True),
-        "date": fields.date(string="Date"),
-        "source_date": fields.date(string="Source Date", help="This date is for source_date for analytic lines"),
-    }
-
-    _defaults ={
-        'name': 'Distribution Line',
-        'date': lambda *a: strftime('%Y-%m-%d'),
-        'source_date': lambda *a: strftime('%Y-%m-%d'),
-    }
-
-distribution_line()
-
-class cost_center_distribution_line(osv.osv):
-    _name = "cost.center.distribution.line"
-    _inherit = "distribution.line"
-    
-cost_center_distribution_line()
-
-class funding_pool_distribution_line(osv.osv):
-    _name = "funding.pool.distribution.line"
-    _inherit = "distribution.line"
-    _columns = {
-        "cost_center_id": fields.many2one('account.analytic.account', 'Cost Center Account'),
-    }
-    
-funding_pool_distribution_line()
-
-class free_1_distribution_line(osv.osv):
-    _name = "free.1.distribution.line"
-    _inherit = "distribution.line"
-
-free_1_distribution_line()
-
-class free_2_distribution_line(osv.osv):
-    _name = "free.2.distribution.line"
-    _inherit = "distribution.line"
-
-free_2_distribution_line()
-
-class analytic_distribution(osv.osv):
-    _inherit = "analytic.distribution"
-
-    _columns = {
-        'cost_center_lines': fields.one2many('cost.center.distribution.line', 'distribution_id', 'Cost Center Distribution'),
-        'funding_pool_lines': fields.one2many('funding.pool.distribution.line', 'distribution_id', 'Funding Pool Distribution'),
-        'free_1_lines': fields.one2many('free.1.distribution.line', 'distribution_id', 'Free 1 Distribution'),
-        'free_2_lines': fields.one2many('free.2.distribution.line', 'distribution_id', 'Free 2 Distribution'),
-    }
-    
-    def copy_from_global_distribution(self, cr, uid, source_id, destination_id, destination_amount, destination_currency, context={}):
-        cc_distrib_line_obj = self.pool.get('cost.center.distribution.line')
-        fp_distrib_line_obj = self.pool.get('funding.pool.distribution.line')
-        f1_distrib_line_obj = self.pool.get('free.1.distribution.line')
-        f2_distrib_line_obj = self.pool.get('free.2.distribution.line')
-        source_obj = self.browse(cr, uid, source_id, context=context)
-        destination_obj = self.browse(cr, uid, destination_id, context=context)
-        # clean up
-        for cost_center_line in destination_obj.cost_center_lines:
-            cc_distrib_line_obj.unlink(cr, uid, cost_center_line.id)
-        for funding_pool_line in destination_obj.funding_pool_lines:
-            fp_distrib_line_obj.unlink(cr, uid, funding_pool_line.id)
-        for free_1_line in destination_obj.free_1_lines:
-            f1_distrib_line_obj.unlink(cr, uid, free_1_line.id)
-        for free_2_line in destination_obj.free_2_lines:
-            f2_distrib_line_obj.unlink(cr, uid, free_2_line.id)
-        # add values
-        vals = {}
-        vals['name'] = source_obj.name
-        vals['global_distribution'] = True
-        for source_cost_center_line in source_obj.cost_center_lines:
-            distrib_line_vals = {
-                'name': source_cost_center_line.name,
-                'analytic_id': source_cost_center_line.analytic_id.id,
-                'percentage': source_cost_center_line.percentage,
-                'amount': round(source_cost_center_line.percentage * destination_amount) / 100.0,
-                'distribution_id': destination_id,
-                'currency_id': destination_currency,
-                'date': source_cost_center_line.date or False,
-                'source_date': source_cost_center_line.source_date or False,
-            }
-            cc_distrib_line_obj.create(cr, uid, distrib_line_vals, context=context)
-        for source_funding_pool_line in source_obj.funding_pool_lines:
-            distrib_line_vals = {
-                'name': source_funding_pool_line.name,
-                'analytic_id': source_funding_pool_line.analytic_id.id,
-                'cost_center_id': source_funding_pool_line.cost_center_id.id,
-                'percentage': source_funding_pool_line.percentage,
-                'amount': round(source_funding_pool_line.percentage * destination_amount) / 100.0,
-                'distribution_id': destination_id,
-                'currency_id': destination_currency,
-                'date': source_funding_pool_line.date or False,
-                'source_date': source_funding_pool_line.source_date or False,
-            }
-            fp_distrib_line_obj.create(cr, uid, distrib_line_vals, context=context)
-        for source_free_1_line in source_obj.free_1_lines:
-            distrib_line_vals = {
-                'name': source_free_1_line.name,
-                'analytic_id': source_free_1_line.analytic_id.id,
-                'percentage': source_free_1_line.percentage,
-                'amount': round(source_free_1_line.percentage * destination_amount) / 100.0,
-                'distribution_id': destination_id,
-                'currency_id': destination_currency,
-                'date': source_free_1_line.date or False,
-                'source_date': source_free_1_line.source_date or False,
-            }
-            f1_distrib_line_obj.create(cr, uid, distrib_line_vals, context=context)
-        for source_free_2_line in source_obj.free_2_lines:
-            distrib_line_vals = {
-                'name': source_free_2_line.name,
-                'analytic_id': source_free_2_line.analytic_id.id,
-                'percentage': source_free_2_line.percentage,
-                'amount': round(source_free_2_line.percentage * destination_amount) / 100.0,
-                'distribution_id': destination_id,
-                'currency_id': destination_currency,
-                'date': source_free_2_line.date or False,
-                'source_date': source_free_2_line.source_date or False,
-            }
-            f2_distrib_line_obj.create(cr, uid, distrib_line_vals, context=context)
-        if destination_obj.invoice_line_ids:
-            self.pool.get('account.invoice.line').create_engagement_lines(cr, uid, [x.id for x in destination_obj.invoice_line_ids])
-        return super(analytic_distribution, self).write(cr, uid, [destination_id], vals, context=context)
-
-    def update_distribution_line_amount(self, cr, uid, ids, amount=False, context={}):
-        """
-        Update amount on distribution lines for given distribution (ids)
-        """
-        # Some verifications
-        if not context:
-            context = {}
-        if isinstance(ids, (int, long)):
-            ids = [ids]
-        if not amount:
-            return False
-        # Process distributions
-        for distrib_id in ids:
-            for dl_name in ['cost.center.distribution.line', 'funding.pool.distribution.line', 'free.1.distribution.line', 'free.2.distribution.line']:
-                dl_obj = self.pool.get(dl_name)
-                dl_ids = dl_obj.search(cr, uid, [('distribution_id', '=', distrib_id)], context=context)
-                for dl in dl_obj.browse(cr, uid, dl_ids, context=context):
-                    dl_vals = {
-                        'amount': round(dl.percentage * amount) / 100.0,
-                    }
-                    dl_obj.write(cr, uid, [dl.id], dl_vals, context=context)
-        return True
-
-analytic_distribution()
-# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

=== modified file 'msf_profile/__openerp__.py'
--- msf_profile/__openerp__.py	2011-10-19 12:39:16 +0000
+++ msf_profile/__openerp__.py	2011-10-19 13:19:57 +0000
@@ -34,7 +34,7 @@
         "base_report_designer",
         "msf_partner",
         "register_accounting",
-        "funding_pool",
+        "analytic_distribution",
         "account_period_closing_level",
         "account_activable",
         "msf_order_date",

=== modified file 'register_accounting/__openerp__.py'
--- register_accounting/__openerp__.py	2011-09-21 18:13:01 +0000
+++ register_accounting/__openerp__.py	2011-10-19 13:19:57 +0000
@@ -32,7 +32,7 @@
     'website': 'http://tempo-consulting.fr',
     "category" : "Tools",
     # WARNING : account_analytic_plans has been added in order to cut modification done in account_analytic_plans by fields_view_get on account_move_line
-    "depends" : ["base", "account", "hr", "account_payment", "account_accountant", "account_activable", "funding_pool", "purchase_override"],
+    "depends" : ["base", "account", "hr", "account_payment", "account_accountant", "account_activable", "analytic_distribution", "purchase_override"],
     "init_xml" : [],
     "update_xml" : [
         'security/ir.model.access.csv',

=== modified file 'res_currency_functional/__openerp__.py'
--- res_currency_functional/__openerp__.py	2011-09-21 18:13:01 +0000
+++ res_currency_functional/__openerp__.py	2011-10-19 13:19:57 +0000
@@ -21,7 +21,7 @@
 {
     "name": "Multi-Currency Management",
     "version": "1.0",
-    "depends": ["account_journal", "account_override", "funding_pool", "purchase", "register_accounting"],
+    "depends": ["account_journal", "account_override", "analytic_distribution", "purchase", "register_accounting"],
     "category": "General/Standard",
     "description": """
     This module aims to only use a subset of currencies, and have them available

